CVE-2004-0588
CVSS6.8
发布时间 :2004-08-06 00:00:00
修订时间 :2016-10-17 22:46:25
NMCOS    

[原文]Cross-site scripting (XSS) vulnerability in the web mail module for Usermin 1.070 allows remote attackers to insert arbitrary HTML and script via e-mail messages.


[CNNVD]Usermin HTML Email脚本代码执行漏洞(CNNVD-200408-017)

        
        Webmin是一款基于WEB的Unix和Linux操作系统系统管理接口。Usermin则设计用于操作用户级别的任务,允许Unix系统中用户简单的进行接收邮件,执行SSH和邮件转发配置。
        Usermin不正确过滤HTML EMAIL消息数据,远程攻击者可以利用这个漏洞窃取目标用户敏感信息。
        攻击者可以发送包含恶意脚本代码的HTML EMAIL消息,当目标用户打开浏览时,可导致脚本代码在用户浏览器上执行,这可导致获得基于Cookie的敏感信息。
        

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0588
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0588
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200408-017
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=108781564518287&w=2
(UNKNOWN)  BUGTRAQ  20040611 [SNS Advisory No.73] Usermin Cross-site Scripting Vulnerability
http://www.gentoo.org/security/en/glsa/glsa-200406-15.xml
(VENDOR_ADVISORY)  GENTOO  GLSA-200406-15
http://www.lac.co.jp/security/csl/intelligence/SNSadvisory_e/73_e.html
(UNKNOWN)  MISC  http://www.lac.co.jp/security/csl/intelligence/SNSadvisory_e/73_e.html
http://www.securityfocus.com/bid/10521
(PATCH)  BID  10521
http://xforce.iss.net/xforce/xfdb/16494
(UNKNOWN)  XF  usermin-email-xss(16494)

- 漏洞信息

Usermin HTML Email脚本代码执行漏洞
中危 输入验证
2004-08-06 00:00:00 2007-01-02 00:00:00
远程  
        
        Webmin是一款基于WEB的Unix和Linux操作系统系统管理接口。Usermin则设计用于操作用户级别的任务,允许Unix系统中用户简单的进行接收邮件,执行SSH和邮件转发配置。
        Usermin不正确过滤HTML EMAIL消息数据,远程攻击者可以利用这个漏洞窃取目标用户敏感信息。
        攻击者可以发送包含恶意脚本代码的HTML EMAIL消息,当目标用户打开浏览时,可导致脚本代码在用户浏览器上执行,这可导致获得基于Cookie的敏感信息。
        

- 公告与补丁

        厂商补丁:
        Usermin
        -------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Usermin Upgrade usermin-1.080.tar.gz
        
        http://www.webmin.com/udownload.html

- 漏洞信息

15548
Usermin Web Mail Module Unspecified XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-06-11 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Usermin HTML Email Script Code Execution Vulnerability
Input Validation Error 10521
Yes No
2004-06-11 12:00:00 2009-07-12 05:16:00
Disclosure of this issue is credited to Keigo Yamazaki.

- 受影响的程序版本

Usermin Usermin 1.0 70
Usermin Usermin 1.0 80

- 不受影响的程序版本

Usermin Usermin 1.0 80

- 漏洞讨论

Usermin is reportedly affected by a script code execution vulnerability when rendering HTML email messages. This issue is due to a failure to sanitize HTML email messages.

This issue will allow an attacker to execute arbitrary script code in the browser of an unsuspecting user; facilitating theft of cookie based authentication credentials. This could potentially allow unauthorized access to user accounts on the computer.

- 漏洞利用

No exploit is required to leverage this issue.

- 解决方案

The vendor has released an upgrade dealing with this issue.

Gentoo Linux has released advisory GLSA 200406-15 dealing with this issue. Please see the referenced advisory for further information. Users of affected packages are urged to execute the following as superuser:
emerge sync
emerge -pv ">=app-admin/usermin-1.080"
emerge ">=app-admin/usermin-1.080"


Usermin Usermin 1.0 70

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站